// Copyright (C) 2020  Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions 
// and other software and tools, and any partner logic 
// functions, and any output files from any of the foregoing 
// (including device programming or simulation files), and any 
// associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License 
// Subscription Agreement, the Intel Quartus Prime License Agreement,
// the Intel FPGA IP License Agreement, or other applicable license
// agreement, including, without limitation, that your use is for
// the sole purpose of programming logic devices manufactured by
// Intel and sold by Intel or its authorized distributors.  Please
// refer to the applicable agreement for further details, at
// https://fpgasoftware.intel.com/eula.

module top
(

	// clock
	input			CLK12M,

	// user buttons
	input			RESET,
	input			USER_BTN,
	
	// user leds
	output			LED1, // green
	output			LED2, // red

	// FTDI - UART
	input			BDBUS0, //FPGA_RXD
	output			BDBUS1, //FPGA_TXD
	// input			BDBUS2, // RTS#
	// output			BDBUS3, // CTS#
	// input			BDBUS4, // DTR#
	// output			BDBUS5, // DSR#
	// input			BDBUS6,	// DCD#
	// input			BDBUS7, // RI#	
	// output			BCBUS0, // TXDEN
	// input/output		BCBUS1,
	// input/output		BCBUS2,
	// output			BCBUS3, // RXLED#
	// output			BCBUS4, // TXLED#

	// sdram memory
	output			CAS,
	output			CLK,
	inout	[15:0]	DQ,
	output	[1:0]	DQM,
	output	[11:0]	A,
	output	[1:0]	BA,
	output			RAS,
	output			WE,

	// Pin Header J1 I/O
	// input/output	A0_P,
	// input/output	A0_N,
	// input/output	A1_P,
	// input/output	A1_N,
	// input/output	A2_P,
	// input/output	A2_N,
	// input/output	A3_P,
	// input/output	A3_N,
	// input/output	A4_P,
	// input/output	A4_N,
	// input/output	A5_P,
	// input/output	A5_N,
	// input/output	B0_P,
	// input/output	B0_N,
	// input/output	B1_P,
	// input/output	B1_N,
	// input/output	B2_P,
	// input/output	B2_N,
	// input/output	B3_P,
	// input/output	B3_N,
	// input/output	B4_P,
	// input/output	B4_N,
	// input/output	B5_P,
	// input/output	B5_N,
	// input/output	HSI,
	// input/output	HSMIO,
	// input/output	HSO,
	// input/output	HSRST,
	// input/output	LS16,
	// input/output	LS17,
	// input/output	LS18,
	// input/output	LS19,
	// input/output	REFCLK,
	// input/output	SMB_ALERT,
	// input/output	SMB_SCL,
	// input/output	SMB_SDA,
	// input/output	TMODE,

	// Pin Header J9 I/O
	// input/output	SCK,
	// input/output	SCL,
	// input/output	SDA,
	// input/output	SEL,
	// input/output	D0,
	// input/output	D1,
	// input/output	D2,
	// input/output	D3,
	
	// VADJ control U4
	output			PWREN,
	output			VID0,
	output			VID1,
	output			VID2

);

endmodule
